Crear un Fabric Cloud Router
Para crear un Fabric Cloud Router en la API, envíe una solicitud POST al punto final /fabric/v4/routers.
| POST /fabric/v4/routers | |
|---|---|
| Method | POST |
| URL or Endpoint | /fabric/v4/routers |
| Headers | Authorization, Content-Type |
| Path Parameters | Not applicable |
| Query Parameters | Not applicable |
| Body Parameters | type, name, location, package, order, notifications, account, project |
Para validar de forma segura esta solicitud en producción sin crear un enrutador, consulte Pruebas en producción (API Dry Run).
Ejemplo de solicitud curl:
curl -X
POST 'https: //api.equinix.com/fabric/v4/routers'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"type": "XF_ROUTER",
"name": "My-Fabric-Cloud-Router",
"location": {
"metroCode": "SV"
},
"package": {
"code": "LAB"
},
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@test.com"
]
}
],
"account": {
"accountNumber": 272010
},
"project": {
"projectId": "995072000433550"
}
}'
Parámetros corporales notables:
type(required) string - Asset instance type. Must beXF_ROUTERfor a Fabric Cloud Router.name(required) string - Fabric Cloud Router instance name. Example:"My-Fabric-Cloud-Router"location(required) object - Fabric Cloud Router location information. Specify the Metro location for your Fabric Cloud Router withmetroCode(required) string. Example:SV.package(required) object - Fabric Cloud Router package determining the number of supported routes and Network Access Control Lists (NACL). Specify your desired package by itscode(required) string:LAB- Max Routes IPv4 = 50; Max Routes IPv6 = 50; 10Mbps max per connection ingress/egress bandwidth limit; Max connections per FCR: 10 (Trial package)STANDARD- Max Routes IPv4 = 1000; Max Routes IPv6 = 100
notifications(required) object - Notification preferences regarding changes in asset configuration or its status. Usetype(required) object to set the notification preferences for this asset. Applicable values:ALL. Useemails(required) array[string] to list the email recipients. Minimum: 1, Maximum: 12. Example:["test@equinix.com"].account(required) object - Customer billing account information. Must include the"accountNumber"(required) _integer_. Example:272010`.project(required) object - Customer resource hierarchy project information. Applicable to customers onboarded to Equinix Identity and Access Management. For more information see Identity and Access Management: Projects. Must include theprojectId(required) string | Example:995072000433550.
Encontrará una lista completa de parámetros en la Referencia API
Si obtiene un error de "Acceso denegado", póngase en contacto con el servicio local de atención al cliente de Equinix para obtener acceso al Equinix Customer Portal.
Respuesta de muestra:
{
"href": "https://api.equinix.com/fabric/v4/routers/201b7346-a9eb-42fe-ae7a-08148c71928d",
"uuid": "201b7346-a9eb-42fe-ae7a-08148c71928d",
"state": "PROVISIONED",
"type": "XF_ROUTER",
"name": "My-Fabric-Cloud-Router",
"location": {
"metroCode": "HH"
},
"package": {
"code": "LAB"
},
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"project": {
"projectId": "12345"
},
"notifications": [
{
"type": "ALL",
"emails": [
"abc@abc.com"
]
}
],
"account": {
"accountNumber": 123
},
"bgpIpv4RoutesCount": 0,
"bgpIpv6RoutesCount": 0,
"connectionCount": 0,
"changeLog": {
"createdBy": "abc@xyz.com",
"createdByFullName": "abc",
"createdByEmail": "abc@xyz.com",
"createdDateTime": "2021-09-24T06:59:46Z"
}
}